org.eclipse.jgit.treewalk

## Class WorkingTreeOptions

- java.lang.Object
- - org.eclipse.jgit.treewalk.WorkingTreeOptions

    public class WorkingTreeOptions
    extends Object

Options used by the `WorkingTreeIterator`.

### Field Summary

Fields
`static Config.SectionParser<WorkingTreeOptions>` `KEY` Key for `Config.get(SectionParser)`.

### Method Summary

All Methods Instance Methods Concrete Methods
`CoreConfig.AutoCRLF` `getAutoCRLF()`
`CoreConfig.CheckStat` `getCheckStat()`
`CoreConfig.HideDotFiles` `getHideDotFiles()`
`CoreConfig.SymLinks` `getSymLinks()`
`boolean` `isFileMode()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### KEY

    public static final Config.SectionParser<WorkingTreeOptions> KEY

Key for `Config.get(SectionParser)`.

### Method Detail

#### isFileMode

    public boolean isFileMode()

Returns:
  true if the execute bit on working files should be trusted.

#### getAutoCRLF

    public CoreConfig.AutoCRLF getAutoCRLF()

Returns:
  how automatic CRLF conversion has been configured.

#### getCheckStat

    public CoreConfig.CheckStat getCheckStat()

Returns:
  how stat data is compared
Since:
  3.0

#### getSymLinks

    public CoreConfig.SymLinks getSymLinks()

Returns:
  how we handle symbolic links
Since:
  3.3

#### getHideDotFiles

    public CoreConfig.HideDotFiles getHideDotFiles()

Returns:
  how we create '.'-files (on Windows)
Since:
  3.5